Subject: Re: white grubs

From: [email-masked] (Dick Gilman)
Date: Fri, 31 Mar 1995 18:20:02 GMT

These are beatle grubs, probably japanese beatles, nematodes are
the non-chemical way to get rid of them and diazon or dursban is
the chemical way.

Milky spore will also work but I cannot find it anywhere.  There
was post awhile back about it.  If anyone has any new info I would
be happy to hear it.